FS Delicate Brows Resource by FrozenStar ()

2DBrushes

FS Delicate Brows Resource

Software:   Photoshop CS4 and above

Requirements:  Photoshop 7 or later versions

Departments:
2DBrushes
3D ModelsProps